package gmt.protocol.ext.VO;

import gmt.common.util.GmtUtils;

import java.time.LocalDateTime;

public class ExtHeaderVO {
	protected PResultVO pResultVO;
	protected String startFlag;
	protected String pID;
	protected String VTSID;
	protected String BSID;
	protected LocalDateTime packetTime;
	protected String itemIndex;
	protected String filteringFlag;
	
	public ExtHeaderVO() {
		pResultVO = new PResultVO();
		startFlag = "";
		pID = "";
		VTSID = "";
		BSID = "";
		packetTime = GmtUtils.defaultTime();
		itemIndex = "";
		filteringFlag = "";		
	}
	
    public PResultVO getPResultVO() {
    	return pResultVO;
    }
    public void setPResultVO(PResultVO pResult) {
    	this.pResultVO = pResult;
    }
    public String getPID() {
    	return pID;
    }
    public void setPID(String pID) {
    	this.pID = pID;
    }
    public String getVTSID() {
    	return VTSID;
    }
    public void setVTSID(String VTSID) {
    	this.VTSID = VTSID;
    }
    public String getBSID() {
    	return BSID;
    }   
    public void setBSID(String BSID) {
    	this.BSID = BSID;
    }
    public LocalDateTime getPacketTime() {
    	return packetTime;
    }
    public void setPacketTime(LocalDateTime packetTime) {
    	this.packetTime = packetTime;
    }
    public String getItemIndex() {
    	return itemIndex;
    } 
    public void setItemIndex(String itemIndex) {
    	this.itemIndex = itemIndex;
    }
    public String getFilteringFlag() {
    	return filteringFlag;
    }     	
    public void setFilteringFlag(String filteringFlag) {
    	this.filteringFlag = filteringFlag;
    }
	public String getStartFlag() {
		return startFlag;
	}
	public void setStartFlag(String startFlag) {
		this.startFlag = startFlag;
	}
    
}
